
var bSwitchViews = false;
				
var bStartTableView = false
				
var currModelId = "ID23182";
							
var currModelVersion = "";
						
var currModelName = "Solve Problem (Problem Control)";
			
var currModelType = "IT Service Process";
			 
var currMailAddress = "";
			
var bModInfoWindow = false;
				
var bPrintOne = false;				
				
var bPrintTwo = false;
				
var modInfo = new Array();
		
var overviewimage = new Image();
			
var modelimage68 = new Image();
			
var modelimage45 = new Image();
			
var modelimage90 = new Image();
			
if (!parent.header)
{
	var strPath = top.window.location.href;
	top.location.href= strPath.substring(0, strPath.lastIndexOf("/") + 1) + "../index.html?id=" + currModelId;
}
else
{
	var z = top.header.iZoom;
	checkLoadTableView();
}

function checkLoadTableView()
{
  if (bStartTableView && !parent.header.bModelLoaded)
  {
    top.model.location.href = "../" + currModelId + "/" + currModelId + "t.html"
  }
  else
  {
		overviewimage.src = "../overview/ID23182.png";
			
		if (z == 68) { modelimage68.src = "../images/ado334.png"; }
		else { window.setTimeout("eval(\"modelimage68.src = '../images/ado334.png'\");", 1000); }
			
		if (z == 45) { modelimage45.src = "../images/ado335.png"; }
		else { window.setTimeout("eval(\"modelimage45.src = '../images/ado335.png'\");", 1000); }
			
		if (z == 90) { modelimage90.src = "../images/ado336.png"; }
		else { window.setTimeout("eval(\"modelimage90.src = '../images/ado336.png'\");", 1000); }
			
	}
	parent.header.bModelLoaded = true;
}

function actualizeImageArea()
{
	prepareImageMap();
		
	createImageArea(29.494999999999997, 5.035, 32.445, 7.1850000000000005, "ID23268", "ID23182", "ID23268", "", false);
					
	createImageArea(32.795, 5.800000000000001, 35.185, 8.58, "ID23265", "ID23182", "ID23265", "", false);
					
	createImageArea(4.925000000000001, 13.399999999999999, 8.055, 15.98, "ID23247", "ID23182", "ID23247", "", false);
					
	createImageArea(4.76, 9.399999999999999, 8.24, 11.98, "ID23244", "ID23182", "ID23244", "", false);
					
	createImageArea(4.84, 6.4, 8.16, 8.98, "ID23241", "ID23182", "ID23241", "", false);
					
	createImageArea(30.2, 9.3, 30.900000000000002, 10.7, "ID23229", "ID23182", "ID23229", "", false);
					
	createImageArea(17.599999999999998, 9.3, 18.3, 10.7, "ID23226", "ID23182", "ID23226", "", false);
					
	createImageArea(44.25, 1.0450000000000002, 46.75, 3.3150000000000004, "ID23193", "ID23182", "ID23193", "", false);
					
	createImageArea(35.005, 1.0499999999999998, 36.975, 3.75, "ID23190", "ID23182", "ID23190", "", false);
					
	createImageArea(23.16, 1.045, 25.84, 4.175, "ID23187", "ID23182", "ID23187", "", false);
					
	createImageArea(13.99, 1.0499999999999998, 16.01, 3.75, "ID23184", "ID23182", "ID23184", "", false);
					
	createImageArea(36.8, 16.8, 38.2, 18.2, "ID23235", "ID23182", "ID23235", "", false);
					
	createImageArea(49.3, 9.3, 50.7, 10.7, "ID23232", "ID23182", "ID23232", "", false);
					
	createImageArea(9.41, 9.3, 11.59, 11.219999999999999, "ID23196", "ID23182", "ID23196", "", false);
					
	createImageArea(43.005, 20.794999999999998, 44.975, 23.145, "ID23202", "ID23182", "ID23202", "", false);
					
	createImageArea(44.11, 9.305, 46.89, 10.695, "ID23220", "ID23182", "ID23220", "", false);
					
	createImageArea(40.11, 9.305, 42.89, 10.695, "ID23217", "ID23182", "ID23217", "", false);
					
	createImageArea(33, 9.295, 35, 11.645000000000001, "ID23223", "ID23182", "ID23223", "", false);
					
	createImageArea(23.11, 7.305, 25.89, 8.695, "ID23214", "ID23182", "ID23214", "", false);
					
	createImageArea(35.005, 25.03, 36.975, 27.35, "ID23238", "ID23182", "ID23238", "", false);
					
	createImageArea(32.7, 16.794999999999998, 35.3, 19.145, "ID23199", "ID23182", "ID23199", "", false);
					
	createImageArea(13.61, 9.305, 16.39, 10.695, "ID23211", "ID23182", "ID23211", "", false);
					
	createImageArea(25.61, 11.805, 28.39, 13.195, "ID23208", "ID23182", "ID23208", "", false);
					
	createImageArea(20.61, 11.805, 23.39, 13.195, "ID23205", "ID23182", "ID23205", "", false);
					
	imageMapsReady();
}
			
			ID23184D='<span class=\"mov_desc\">The Problem solving unit is informed by Incident Management about the Problem.</span>';				
				ID23187D='<span class=\"mov_desc\">Incident Management receives reports of continuing impact on user services.</span>';				
				ID23190D='';				
				ID23193D='<span class=\"mov_desc\">Incident Management/ Service Desk informs the Customer/ User about the elimination of the Incident and about its causes.</span>';				
				ID23196D='<span class=\"mov_desc\">The Problem Control process is responsible for effective and efficient resolution of Problems. In this process Problems are identified (both proactive and reactive aspects) and the root causes are examined in order to prevent recurrence of Incidents.<br />Proactive Problem Management is concerned with identifying and solving Problem an Errors before Incidents occur.<br />Reactive Problem Management is concerned with solving Problems in response to one or more Incidents.<br /></span>';				
				ID23199D='<span class=\"mov_desc\">Error Control consists of monitoring and rectifying Known Errors until they are successfully resolved, where possible and appropriate. Error Control does this by raising a Request For Change to Change Management, and by evaluating the changes in a Post Implementation Review (PIR). Error Control may involve many departments and covers both the production and development environments.</span>';				
				ID23202D='<span class=\"mov_desc\">In Change Management all approved Requests for Change (RfC) are processed. All related activities are shown in the process \"Change Management\".</span>';				
				ID23205D='<span class=\"mov_desc\">Problems can be classified by following areas (categories):<br />- Category: identifying the relevant domain<br />- Impact on the business process<br />- Urgency: extent to which deferral of the solution is acceptable<br />- Priority: combination of urgency, impact, risk and required resources<br />- Status: Problem, Known Error, resolved</span>';				
				ID23208D='<span class=\"mov_desc\">Investigation and diagnosis is an iterative phase - it is repeated several times, each time getting closer to the intended result. During this process more expertise might be needed, i.e. specialists of a support group may assist with the analysis and diagnosis of the Problem.<br />Problems are not only caused by hardware and software. They can be caused by a documentation error, human or procedural error, such as releasing the wrong software version.<br />Most Errors can be traced to infrastructure components.</span>';				
				ID23211D='<span class=\"mov_desc\">In principle, any Incident with an unknown cause should be associated with a Problem. However, this will normally only be worthwhile if the Incident occurs repeatedly or is expected to recur, or if there is a single serious Incident.<br />Instance is identified as a Problem when:<br />- Analysis of Incident details indicates that an Incident recurs, and leads to a significant volume or trend.<br />- Analysis of the infrastructure identifies the weak areas where new Incidents may arise.<br />- A serious Incident occurs which requires a permanent solution, as further occurrences should be avoided.<br />- Service Levels are threatened.<br />- New or recorded Incidents cannot be linked to an existing Problem or Known Error.<br />\nTrend analysis can uncover areas that need further attention. The additional efforts can be expressed in terms of the cost and benefits to the organization, taking into account:<br />- Cost to the business activities of the Incidents<br />- Number of Incidents<br />- Number of users/customers and business processes affected<br />- Time and cost of resolving the Incidents<br /></span>';				
				ID23214D='<span class=\"mov_desc\">At the same time as the Problem is classified and investigation and diagnosing takes place also the progress is tracked and monitored.</span>';				
				ID23217D='<span class=\"mov_desc\">As next, Change Management should be informed about the Known Error and the Request for Change (RfC) should be raised. Change Management is than responsible for processing the RfC.</span>';				
				ID23220D='<span class=\"mov_desc\">Following successful implementation of Changes to resolve Errors, the relevant Known Error record is closed.<br />Proactive Problem Management: Information about closure of the Problem is passed to Incident Management which informs the User/Customer about successful resolution of the Incident and provides information on causes and solution to the Problem.</span>';				
				ID23223D='<span class=\"mov_desc\">Is a Problem caused by an Error in registered CI or is it the procedural matter?<br />Incorrect release of a version of a program is an example of procedural cause.<br />Procedural Problems are classified as Unknown Error, while the CI Problems achieve the formal status of Known Error.<br /></span>';				
				ID23226D='';				
				ID23229D='';				
				ID23232D='';				
				ID23235D='';				
				ID23238D='<span class=\"mov_desc\">While solving a Problem, the CMDB is accessed in order to gain information about CIs. After resolution of an Error and Change Management, all Changes should be stored in the CMDB.</span>';				
				ID23241D='';				
				ID23244D='';				
				ID23247D='';				
				ID23265D='';				
				ID23268D='';				
				
			
function readCM()
{
			ID23184CM = new instCM("New Problem Alert");
ID23187CM = new instCM("Report of continuing impact on user services");
ID23190CM = new instCM("Incident Management");
ID23193CM = new instCM("Inform Customer");
ID23196CM = new instCM("Solve Problem");
ID23199CM = new instCM("Solve Error (Error Control)");
ID23199CM.addAttribute("Referenced subprocess", "mod");
ID23199CM.addLink("Referenced subprocess", "../ID23030/ID23030.html", "Solve Error (Error Control)", "mt_itsp.gif");
ID23202CM = new instCM("Change Management");
ID23202CM.addAttribute("Referenced subprocess", "mod");
ID23202CM.addLink("Referenced subprocess", "../ID22404/ID22404.html", "Change Management", "mt_itsp.gif");
ID23205CM = new instCM("Problem classification");
ID23205CM.addAttribute("Responsible role", "obj");
ID23205CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23208CM = new instCM("Problem Investigation and Diagnosis");
ID23208CM.addAttribute("Responsible role", "obj");
ID23208CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23211CM = new instCM("Problem Identification and Recording");
ID23211CM.addAttribute("Responsible role", "obj");
ID23211CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23214CM = new instCM("Problem identification, tracking, and monitoring");
ID23214CM.addAttribute("Responsible role", "obj");
ID23214CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23214CM.addAttribute("Output data", "obj");
ID23214CM.addLink("Output data", "javascript:openWindow(\"ID24111\", \"ID24155\");", "Problem Record", "small_date.png");
ID23214CM.addLink("Output data", "javascript:openWindow(\"ID24111\", \"ID24164\");", "User Impact Report", "small_date.png");
ID23217CM = new instCM("Inform Change Management");
ID23217CM.addAttribute("Responsible role", "obj");
ID23217CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23220CM = new instCM("Problem closure");
ID23220CM.addAttribute("Responsible role", "obj");
ID23220CM.addLink("Responsible role", "javascript:openWindow(\"ID17544\", \"ID17573\");", "Problem Manager", "small_role.png");
ID23223CM = new instCM("Error in CI or procedural?");
ID23226CM = new instCM("Parallelity");
ID23229CM = new instCM("Merging");
ID23232CM = new instCM("End");
ID23235CM = new instCM("End-2");
ID23238CM = new instCM("Configuration Management database");
ID23241CM = new instCM("Observance of a planned time limit for resolution of Problem ");
ID23244CM = new instCM("Reduction of the average time to resolve a Known Error");
ID23247CM = new instCM("Reduction of the average time to recognise a Problem");
ID23250CM = new instCM("Incident Management");
ID23253CM = new instCM("Problem solving");
ID23256CM = new instCM("Error handling");
ID23259CM = new instCM("IT infrastructure");
ID23262CM = new instCM("Change Management");
ID23265CM = new instCM("SP - RM MaR 1");
ID23265CM.addAttribute("Referenced subprocess", "mod");
ID23265CM.addLink("Referenced subprocess", "../ID15927/ID15927.html", "Monitor and Review -  ITIL Service Support", "mt_itsp.gif");
ID23265CM.addAttribute("Referenced Interface Process", "obj");
ID23265CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID15927\", \"ID15998\");", "MaR - ITIL SP I1", "small_ipro.png");
ID23268CM = new instCM("SP1");
ID23268CM.addAttribute("Data", "obj");
ID23268CM.addLink("Data", "javascript:openWindow(\"ID24111\", \"ID24155\");", "Problem Record", "small_date.png");
ID23268CM.addLink("Data", "javascript:openWindow(\"ID24111\", \"ID24164\");", "User Impact Report", "small_date.png");
ID23271CM = new instCM("");
ID23272CM = new instCM("");
ID23273CM = new instCM("");
ID23274CM = new instCM("");
ID23275CM = new instCM("");
ID23276CM = new instCM("");
ID23277CM = new instCM("");
ID23278CM = new instCM("");
ID23279CM = new instCM("");
ID23280CM = new instCM("");
ID23281CM = new instCM("");
ID23282CM = new instCM("");
ID23283CM = new instCM("");
ID23284CM = new instCM("");
ID23285CM = new instCM("");
ID23286CM = new instCM("");
ID23287CM = new instCM("");
ID23288CM = new instCM("");
ID23289CM = new instCM("");
ID23290CM = new instCM("");
ID23291CM = new instCM("");
ID23292CM = new instCM("");
ID23293CM = new instCM("");
ID23294CM = new instCM("");
ID23295CM = new instCM("");
ID23296CM = new instCM("");
ID23297CM = new instCM("");
ID23298CM = new instCM("");
ID23299CM = new instCM("");
ID23300CM = new instCM("");
ID23301CM = new instCM("");
ID23302CM = new instCM("");
ID23303CM = new instCM("");
ID23304CM = new instCM("");
ID23305CM = new instCM("");
ID23306CM = new instCM("");
ID23307CM = new instCM("");
ID23308CM = new instCM("");
ID23309CM = new instCM("");
ID23310CM = new instCM("");
ID23311CM = new instCM("");
ID23312CM = new instCM("");
ID23313CM = new instCM("");
ID23314CM = new instCM("");
ID23315CM = new instCM("");
ID23316CM = new instCM("");
ID23317CM = new instCM("");
ID23318CM = new instCM("");
ID23319CM = new instCM("");
ID23320CM = new instCM("");
ID23321CM = new instCM("");
ID23322CM = new instCM("");
ID23323CM = new instCM("");
ID23324CM = new instCM("");
}
		